﻿
.past-order-info-container > .btn-box > .back-link {
    width: 130px;
    height: 44px;
    background-color: #999999;
    border-radius: 20px;
    color: #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
}
.past-order-info-container > .btn-box > .back-link:link { color: #ffffff; }
.past-order-info-container > .btn-box > .back-link:hover { color: #ffffff; }
.past-order-info-container > .btn-box > .back-link:active { color: #ffffff; }

@media screen and (max-width: 767px) {
    .past-order-info-container {
        width: var(--page-width);
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: center;
        gap: 10px;
        margin-top: 110px;
        margin-bottom: 40px;
    }

    .past-order-info-container > .box {
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: flex-start;
        gap: 5px;
        font-size: 18px;
        font-weight: 700;
        letter-spacing: 2px;
        padding-right: 17px;
    }

    .past-order-info-container > .content {
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: center;
        gap: 20px;
    }

    .past-order-info-container .table-div > .tbody > .tr > .td:nth-child(1) > img {
        max-width: calc(100% - 20px);
        max-height: calc(100% - 20px);
        margin: auto;
    }

    .past-order-info-container .table-div > .tbody > .tr > .td:nth-child(4) > input {
        color: #000000;
        font-size: 16px;
        padding: 1px 15px 3px 15px;
        text-align: center;
    }

    .past-order-info-container > .content > .total-box {
        width: 100%;
        color: #9c1f1f;
        display: flex;
        justify-content: center;
        align-items: center;
        font-size: 20px;
        font-weight: 700;
        letter-spacing: 2px;
        padding-right: 17px;
    }

    .past-order-info-container > .btn-box {
        margin-top: 35px;
    }
}

@media screen and (min-width: 768px) and (max-width: 1024px) {
    .past-order-info-container {
        width: var(--page-width);
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: center;
        gap: 10px;
        margin: 70px 0px;
    }

    .past-order-info-container > .box {
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: flex-start;
        gap: 5px;
        font-size: 18px;
        font-weight: 700;
        letter-spacing: 2px;
        padding-right: 17px;
    }

    .past-order-info-container > .content {
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: center;
        gap: 20px;
    }

    .past-order-info-container .table-div > .tbody > .tr > .td:nth-child(1) > img {
        max-width: calc(100% - 20px);
        max-height: calc(100% - 20px);
        margin: auto;
    }

    .past-order-info-container .table-div > .tbody > .tr > .td:nth-child(4) > input {
        color: #000000;
        font-size: 16px;
        padding: 1px 15px 3px 15px;
        text-align: center;
    }

    .past-order-info-container > .content > .total-box {
        width: 100%;
        color: #9c1f1f;
        display: flex;
        justify-content: center;
        align-items: center;
        font-size: 20px;
        font-weight: 700;
        letter-spacing: 2px;
        padding-right: 17px;
    }

    .past-order-info-container > .btn-box {
        margin-top: 35px;
    }
}

@media screen and (min-width: 1025px) {
    .past-order-info-container {
        flex: auto;
        max-width: var(--page-max-width);
        width: var(--page-width);
        background-color: #ffffff;
        border-radius: 4px;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: flex-start;
        gap: 20px;
        margin: 310px 0px 80px 0px;
    }

    .past-order-info-container > .box {
        width: 100%;
        display: flex;
        justify-content: space-between;
        align-items: center;
        font-size: 18px;
        font-weight: 700;
        letter-spacing: 2px;
        padding-right: 17px;
    }

    .past-order-info-container > .content {
        flex: auto;
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: center;
        gap: 60px;
        position: relative;
    }

    /* ---------------------------------------------------------------------------------------------------- */

    .past-order-info-container .table-div { flex: auto; height: auto; }

    .past-order-info-container .table-div > .tbody > .tr { width: calc(100% - (100% - 1263px)); height: 50px; }

    .past-order-info-container .table-div > .thead > .tr > .td:nth-child(1),
    .past-order-info-container .table-div > .tbody > .tr > .td:nth-child(1) { flex: 1; }
    .past-order-info-container .table-div > .thead > .tr > .td:nth-child(2),
    .past-order-info-container .table-div > .tbody > .tr > .td:nth-child(2),
    .past-order-info-container .table-div > .thead > .tr > .td:nth-child(3),
    .past-order-info-container .table-div > .tbody > .tr > .td:nth-child(3),
    .past-order-info-container .table-div > .thead > .tr > .td:nth-child(4),
    .past-order-info-container .table-div > .tbody > .tr > .td:nth-child(4),
    .past-order-info-container .table-div > .thead > .tr > .td:nth-child(5),
    .past-order-info-container .table-div > .tbody > .tr > .td:nth-child(5) { width: 140px; }

    .past-order-info-container .table-div > .tbody > .tr > .td:nth-child(1) > img {
        max-width: 100%;
        max-height: 100%;
    }

    .past-order-info-container .table-div > .tbody > .tr > .td:nth-child(4) > input {
        color: #000000;
        font-size: 16px;
        padding: 1px 15px 3px 15px;
        text-align: center;
    }

    /* ---------------------------------------------------------------------------------------------------- */

    .past-order-info-container > .content > .total-box {
        width: 100%;
        color: #9c1f1f;
        display: flex;
        justify-content: flex-end;
        align-items: center;
        font-size: 24px;
        font-weight: 700;
        letter-spacing: 2px;
        padding-right: 17px;
    }

    .past-order-info-container > .btn-box {
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
    }
}